UPDATE: databases/mariadb 10.9.8 -> 11.4.4

This commit is contained in:
purplerain 2025-01-21 19:15:58 +00:00
parent 08e19bea27
commit 9b4bbf16fe
Signed by: purplerain
GPG key ID: F42C07F07E2E35B7
22 changed files with 1394 additions and 833 deletions

View file

@ -1,40 +1,22 @@
Index: scripts/wsrep_sst_rsync.sh
--- scripts/wsrep_sst_rsync.sh.orig
+++ scripts/wsrep_sst_rsync.sh
@@ -117,9 +117,14 @@ check_pid_and_port()
fi
port_info=$(sockstat "$opts" "$port" 2>/dev/null | \
grep -E '[[:space:]]LISTEN' | grep -o -E "$filter")
- else
+ elif [ $ss_available -ne 0 ]; then
port_info=$(ss -nlpH "( sport = :$port )" 2>/dev/null | \
grep -F 'users:(' | grep -o -E "$filter")
+ elif [ $fstat_available -ne 0 ]; then
+ port_info=$(fstat -n 2>/dev/null | grep -E "[[:space:]](\\*|\\[?::\\]?):$port\$")
@@ -127,9 +127,15 @@ check_pid_and_port()
fi
final='$'
else
- port_info=$($socket_utility $lsof_opts -i ":$port" 2>/dev/null | \
- grep -w -F '(LISTEN)' || :)
- final='[[:space:]]'
+ if [ $fstat_available -ne 0 ]; then
+ port_info=$($socket_utility $fstat_opts 2>/dev/null | \
+ grep -E "[[:space:]](\\*|\\[?::\\]?):$port\$")
+ final=''
+ else
+ wsrep_log_error "Unknown sockets utility"
+ exit 2 # ENOENT
fi
echo "$port_info" | \
grep -q -E "[[:space:]](\\*|\\[?::\\]?):$port\$" && busy=1
@@ -474,9 +479,9 @@ EOF
# Preparing binlog files for transfer:
wsrep_log_info "Preparing binlog files for transfer:"
tar_type=0
- if tar --help | grep -qw -F -- '--transform'; then
+ if tar --help 2>/dev/null | grep -qw -F -- '--transform'; then
tar_type=1
- elif tar --version | grep -qw -E '^bsdtar'; then
+ elif tar --version 2>/dev/null | grep -qw -E '^bsdtar'; then
tar_type=2
fi
if [ $tar_type -eq 2 ]; then
@@ -974,7 +979,7 @@ EOF
fi
# Extracting binlog files:
wsrep_log_info "Extracting binlog files:"
- if tar --version | grep -qw -E '^bsdtar'; then
+ if tar --version 2>/dev/null | grep -qw -E '^bsdtar'; then
tar -tf "$BINLOG_TAR_FILE" > "$tmpfile" && \
tar -xvf "$BINLOG_TAR_FILE" > /dev/null || RC=$?
else
+ port_info=$($socket_utility $lsof_opts -i ":$port" 2>/dev/null | \
+ grep -w -F '(LISTEN)' || :)
+ final='[[:space:]]'
+ fi
fi
local busy=0